An error that can be created by the backend during the processing of a request

### Hierarchy

- SCError
  - SCValidationErrorResponse
  - SCUnsupportedMediaTypeErrorResponse
  - SCMethodNotAllowedErrorResponse
  - SCRequestBodyTooLargeErrorResponse
  - SCTooManyRequestsErrorResponse
  - SCNotFoundErrorResponse
  - SCSyntaxErrorResponse
  - SCInternalServerErrorResponse

### Implements

- SCErrorResponse

## Index

### Constructors

- constructor

### Properties

- message
- name
- stack
- statusCode

## Constructors

### constructor

- new SCError(name: string, message: string, statusCode: number, stack?: undefined | false | true): SCError

- - Defined in node_modules/@openstapps/core/lib/index.d.ts:862

  Instatiate an SCError

  #### Parameters

  - ##### name: string

    Name of the error

  - ##### message: string

    Message of the error

  - ##### statusCode: number

    HTTP status code to return this error with

  - ##### Optional stack: undefined | false | true

    Set to true if a stack trace should be created

  #### Returns SCError

## Properties

### message

message: string

Implementation of SCErrorResponse.message

- Defined in node_modules/@openstapps/core/lib/index.d.ts:857

### name

name: string

Implementation of SCErrorResponse.name

- Defined in node_modules/@openstapps/core/lib/index.d.ts:856

### Optional stack

stack: undefined | string

Implementation of SCErrorResponse.stack

- Defined in node_modules/@openstapps/core/lib/index.d.ts:862

Call stack of the error

### statusCode

statusCode: number

Implementation of SCErrorResponse.statusCode

- Defined in node_modules/@openstapps/core/lib/index.d.ts:858

Generated using TypeDoc